<?php
	class PrecoArtigoController extends PrecoArtigoModel {
		private $idArtigo;
		private $semImposto;
		private $comImposto;
		private $margem;
		private $indice;

		public function __construct($idArtigo, $semImposto, $comImposto, $margem, $indice){
			$this->idArtigo = $idArtigo;
			$this->semImposto = $semImposto;
			$this->comImposto = $comImposto;
			$this->margem = $margem;
			$this->indice = $indice;
		}

		public function createPrecoArtigo(){
			$result = $this->insertPrecoArtigo($this->idArtigo, $this->semImposto, $this->comImposto, $this->margem, $this->indice);
			return $result;
		}
	}